Encounter
get
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
datestringOptional
identifierstringOptional
patientstringOptional
patient.identifierstringOptional
patient.namestringOptional
patient.genderstringOptional
patient.birthDatestringOptional
locationstringOptional
location.identifierstringOptional
location.namestringOptional
participantstringOptional
reasonstringOptional
statusstringOptional
data-templatestringOptional
_countnumberOptional
_lastUpdatedstringOptional
_formatstringOptional
_offsetnumberOptional
_pagenumberOptional
_stateidstringOptional
_idstringOptional
_prettystringOptional
_summarystringOptional
_totalstringOptional
Responses
200
FHIR Resource Bundle
objectOptional
FHIR Resource Bundle
500
FHIR Resource OperationOutcome
get/Encounter
GET /fhir/Encounter HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}post
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional
FHIR Resource Encounter
Responses
201
FHIR Resource Encounter
objectOptional
FHIR Resource Encounter
500
FHIR Resource OperationOutcome
post/Encounter
POST /fhir/Encounter HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2
{}{}get
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Query parameters
_prettybooleanOptional
_summarystringOptional
Responses
200
FHIR Resource Encounter
objectOptional
FHIR Resource Encounter
500
FHIR Resource OperationOutcome
get/Encounter/{id}
GET /fhir/Encounter/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}put
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Body
objectOptional
FHIR Resource Encounter
Responses
200
FHIR Resource Encounter
objectOptional
FHIR Resource Encounter
500
FHIR Resource OperationOutcome
put/Encounter/{id}
PUT /fhir/Encounter/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2
{}{}delete
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Responses
200
FHIR Resource Encounter
objectOptional
FHIR Resource Encounter
500
FHIR Resource OperationOutcome
delete/Encounter/{id}
DELETE /fhir/Encounter/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}get
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
versionIdstringOptional
Responses
200
FHIR Resource Encounter
objectOptional
FHIR Resource Encounter
500
FHIR Resource OperationOutcome
get/Encounter/{id}/_history/{versionId}
GET /fhir/Encounter/{id}/_history/{versionId} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}get
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Query parameters
_prettybooleanOptional
_summarystringOptional
Responses
200
FHIR Resource Bundle
objectOptional
FHIR Resource Bundle
500
FHIR Resource OperationOutcome
get/Encounter/{id}/_history
GET /fhir/Encounter/{id}/_history HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}post
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional
FHIR Resource Parameters
Responses
200
FHIR Resource Encounter
objectOptional
FHIR Resource Encounter
500
FHIR Resource OperationOutcome
post/Encounter/$validate
POST /fhir/Encounter/$validate HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2
{}{}Last updated
Was this helpful?